Package com.macrofocus.high_d.distributions.javafx

# Class JavaFXDistributionsComponent<Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>
com.macrofocus.high_d.distributions.javafx.JavaFXDistributionsComponent<Row,Column,Value,Bin>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `DistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`

public class JavaFXDistributionsComponent<Row,Column,Value,Bin> extends AbstractDistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>
Created by luc on 14/06/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsComponent

  `AbstractDistributionsComponent.State`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsComponent

  `canvas, model, timer, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXDistributionsComponent(DistributionsView<? extends javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `protected void`
  `repaint()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsComponent

  `clearCache, createOverplots, getBins, getClosestBin, getClosestDistribution, getClosestRow, getState, refresh, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXDistributionsComponent

    public JavaFXDistributionsComponent(DistributionsView<? extends javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin> view)

- ## Method Details

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractDistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractDistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractDistributionsComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column,Value,Bin>`

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)